Bug 1475732 - GNOME Software - "failed to get AppStream metadata: No such ref 'appstream/x86_64' in remote bc"
GNOME Software - "failed to get AppStream metadata: No such ref 'appstream/x8...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 04:51 EDT by Paweł
Modified: 2017-12-12 05:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:19:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (27.22 KB, image/png)
2017-07-27 04:51 EDT, Paweł
no flags Details

  None (edit)
Description Paweł 2017-07-27 04:51:29 EDT
Created attachment 1305265 [details]
Screenshot

Description of problem:
Opening GNOME Software and trying to refresh updates gives this error.

Version-Release number of selected component (if applicable):
3.22.7

How reproducible:
Always

Steps to Reproduce:
1. Open GNOME Software
2. Goto Updates tab
3. Click refresh button and wait

Actual results:
Error shows and nothing more happens

Expected results:
Information about pending updates or that system is up to date.

Additional info:
Fedora 25, 64 bit, updated today via cli with dnf, then reboot. Installed Firefox Developer flatpak from mojefedora.cz, pretty standard installation.
Comment 1 Paweł 2017-07-27 05:26:00 EDT
Weird, after reporting and checking again, I had some more updates - sudo dnf upgrade and reboot - done.

Opening Software again on Updates Tab showed two updates: Firefox Dev flatpak and some component. I clicked update all and they installed. Then two more components (i guess some flatpak stuff) showed and again I clicked update all.

After that there were no new updates visible, but manually refreshing, still gives this error.

https://pasteboard.co/GCQYlWP.png
Comment 2 Paweł 2017-07-28 04:56:06 EDT
Today I've got this: https://pasteboard.co/GD0ctit.png
Then Firefox Dev flatpack update showed up, and i updated it, with additional Localisation component, and after that I've got the same error as originally reported.
Comment 3 Paweł 2017-08-30 09:34:19 EDT
Hi, I just checked on F25, up to date (and after uninstalling Firefox Dev flatpack some time ago) - this bug still occurs for me when I try to refresh software updates via Gnome Software:

"Failed to get AppStream metadata: No such ref 'appsteam/x86_64' in remote bc"

Please take a look, thanks :)
Comment 4 Fedora End Of Life 2017-11-16 13:58:09 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-12-12 05:19:40 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.